import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcDateTimePickerComponent extends GcComponents<GC.InputMan.GcDateTimePicker> {
    constructor(ref: ElementRef);
    selectedValue: Date;
    maxDate: Date;
    minDate: Date;
    type: GC.InputMan.PickerType;
    minuteInterval: GC.InputMan.Interval;
    secondsInterval: GC.InputMan.Interval;
    visible: boolean;
    hasSeconds: string;
    showMidnightAs24: string;
    yearFormat: Function;
    monthFormat: Function;
    dayFormat: Function;
    selectedDateChanged: EventEmitter<object>;
    selectedValueChange: EventEmitter<object>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcDateTimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcDateTimePickerComponent, "gc-datetime-picker", never, { "selectedValue": "selectedValue"; "maxDate": "maxDate"; "minDate": "minDate"; "type": "type"; "minuteInterval": "minuteInterval"; "secondsInterval": "secondsInterval"; "visible": "visible"; "hasSeconds": "hasSeconds"; "showMidnightAs24": "showMidnightAs24"; "yearFormat": "yearFormat"; "monthFormat": "monthFormat"; "dayFormat": "dayFormat"; }, { "selectedDateChanged": "selectedDateChanged"; "selectedValueChange": "selectedValueChange"; }, never, never>;
}
